=== debian/changelog ===
ros-r2b2-pcl-conversions (0.2.1-1xenial) xenial; urgency=high

  * Added a test for rounding errors in stamp conversion
    for some values the test fails.
  * add pcl::PointCloud to Image msg converter for extracting the rgb component of a cloud
  * Contributors: Brice Rebsamen, Lucid One, Michael Ferguson, Paul Bovbel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 08 Jun 2015 04:00:00 -0000

ros-r2b2-pcl-conversions (0.2.0-1xenial) xenial; urgency=high

  * Added conversions for stamp types
  * update maintainer info, add eigen dependency
  * fix Eigen dependency
  * Make pcl_conversions run_depend on libpcl-all-dev
  * Contributors: Brice Rebsamen, Paul Bovbel, Scott K Logan, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 10 Apr 2014 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.5-1xenial) xenial; urgency=high

  * Use new pcl rosdep keys (libpcl-all and libpcl-all-dev)

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.4-1xenial) xenial; urgency=high

  * Fixup dependencies and CMakeLists.txt:
    
      * Added a versioned dependency on pcl, fixes #1 <https://github.com/ros-perception/pcl_conversions/issues/1>
      * Added a dependency on pcl_msgs, fixes #2 <https://github.com/ros-perception/pcl_conversions/issues/2>
      * Wrapped the test target in a CATKIN_ENABLE_TESTING check
    

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Jul 2013 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.3-1xenial) xenial; urgency=high

  * Add missing dependency on roscpp
  * Fixup tests and pcl usage in CMakeList.txt

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Jul 2013 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.2-1xenial) xenial; urgency=high

  * small fix for conversion functions

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 12 Jul 2013 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.1-1xenial) xenial; urgency=high

  * Fix find_package bug with pcl

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 10 Jul 2013 04:00:00 -0000

ros-r2b2-pcl-conversions (0.1.0-1xenial) xenial; urgency=high

  * Initial release
  * This package is designed to allow users to more easily convert between pcl-1.7+ types and ROS message types

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Jul 2013 22:49:26 -0400
