=== debian/control ===
Source: ros-r2b2-pcl-conversions
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-r2b2-ament-cmake, ros-r2b2-ament-cmake-gtest, ros-r2b2-builtin-interfaces, ros-r2b2-sensor-msgs, ros-r2b2-std-msgs, ros-r2b2-ros-workspace
Homepage: http://wiki.ros.org/pcl_conversions
Standards-Version: 3.9.2

Package: ros-r2b2-pcl-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-r2b2-builtin-interfaces, ros-r2b2-sensor-msgs, ros-r2b2-std-msgs, ros-r2b2-ros-workspace
Description: Provides conversions from PCL data types and ROS message types
